﻿
@{
    ViewBag.Title = "Teacher Report";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  TeachersListPdfViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Teacher master list</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th{
            white-space:nowrap !important;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-bright-gray structure-no-bordered structure-split-bottom">
    
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
            <td>

            </td>
        </tr>
        <tr>
           
            <td style="min-width:200px;">School Name: @Model.SchoolName</td>
            <td style="min-width:200px;">Report Date: @Model.Date</td>
          
        </tr>
    </table>
 
    <table class="jbt-table-custom structure-darkblue-top-line">
        <!--row 1-->
        <tr class="structure-gray">
            <th class="structure-text-center structure-bold" style="max-width: 120px; width: 120px;height:50px;">Teacher</th>
            <th class="structure-text-center structure-bold">Participant</th>
            <th class="structure-text-center structure-bold">Class</th>
            <th class="structure-text-center structure-bold" style="max-width: 100px; width: 30px;">Days</th>
            <th class="structure-text-center structure-bold" style="max-width: 140px; width: 140px;word-break:break-all">Room</th>
        </tr>
        <!--row 2-->
        @foreach (var item in Model.Teachers)
        {
            <tr>
                <td class="structure-text-center" style="max-width: 120px; width: 120px;">@item.TeacherName</td>
                <td class="structure-text-center" style="max-width: 150px; width: 150px;">@item.ParticipantName</td>
                <td class="structure-text-center" >@item.ClassName</td>
                <td class="structure-text-center" style="max-width: 100px; width: 100px;">@item.ClassDays</td>
                <td class="structure-text-center" style="max-width: 140px; width: 140px;word-break:break-all">@item.Room</td>
            </tr>
        }


    </table>
</body>
</html>
